Gumball after programmatically selecting objects

I have a python script that is selecting objects for the user. Everything works as expected, the end result being a bunch of highlighted objects in the viewports. However, the gumball doesn’t ever show up after the command is complete. Is there some call I can make to ‘refresh’ the gumball? My google/discourse-foo hasn’t been able to shed any light on the subject, and I haven’t found anything obvious (to me anyway) looking through the doc or app functions.

I’ve tried using rs.SelectObject, scriptcontext.doc.Select, and rhinobject.Select(). They all behave the same.

Interestingly, if I do something like close and reopen the python editor, the gumball appears.

Nvidia driver up to date.

Edit -

Using rs.Command("GumballReset") at the end of the script seems to redraw the gumball, but if there is a more correct way to do that I’d like to know.

Thanks,

Nathan

Hmm, I am not seeing that here -

import rhinoscriptsyntax as rs
objs=rs.GetObjects("Select some objects",select=True)

Gumball shows up right away.

Also with this:

import rhinoscriptsyntax as rs
objs=rs.GetObjects("Pick some objects")
rs.SelectObjects(objs)

or this:

import rhinoscriptsyntax as rs
import scriptcontext as sc
objs=rs.GetObjects("Pick some objects")
[sc.doc.Objects.Select(obj) for obj in objs]

OK thanks for checking. I see now that perhaps it is something to do with the non-modal window that is open.

Thanks.